Bug 1306241 - Tiering and AFR may result in data loss
Tiering and AFR may result in data loss
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: replicate (Show other bugs)
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: Pranith Kumar K
: ZStream
Depends On:
Blocks: 1289852 1306398
  Show dependency treegraph
Reported: 2016-02-10 06:52 EST by Bhaskarakiran
Modified: 2017-10-26 05:48 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1306398 (view as bug list)
Last Closed: 2017-10-26 05:48:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bhaskarakiran 2016-02-10 06:52:53 EST
Description of problem:

If migration process reads data that is not yet healed because source brick is down it may lead to data loss


This is same old, AP vs CP systems. 2-way replication is AP system. User
knows this. If he does copy at the time because the brick was down he
will lose the data in the new copy. Not the source itself. But with
rebalance/tiering this problem becomes severe as the source file is lost.

One way to fix it is to give an option in afr where reads won't succeed
if all the bricks are not up. Rebalance and tiering should use it. We
don't have this problem in 3-way replica and arbiter.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
Comment 2 Bhaskarakiran 2016-02-10 06:53:25 EST
Steps to reproduce will be updated.
Comment 4 Mike McCune 2016-03-28 19:19:36 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 6 Amar Tumballi 2017-10-26 05:48:19 EDT
Latest (glusterfs-3.10+) has this fix.

Note You need to log in before you can comment on or make changes to this bug.